<template lang="">
    <div class="contain">
         <div class="box-test">
            <h1 class="title-tex animate__animated animate__bounceInDown">Test Aplyca</h1>
        </div>
        <div class="box-form">
            <div class=" box-form box-form__login">
                <div>
                    <h1>SIGN IN</h1>
                </div>
                <form @submit="onSubmit">
                    <label id="name">Email</label>
                    <div>
                        <input v-model="email" name="name" type="text" placeholder="username or email">
                    </div>
                    <label id="password">Contraseña</label>
                    <div>
                        <input name="password" type="password" placeholder="password">
                    </div>
                    <button onClick="#" type="submit">Login</button>
                </form>
                <router-link to="/register"> Registrate</router-link>
        </div>
        </div>
    </div>
</template>
<script>
export default {
  data(){
      return {
          email: ""
      }
  },
  methods: {
      onSubmit(e){
         e.preventDefault();
         this.$store.dispatch("login",this.email)
          this.$router.push('/users')
          
      }
  },
 
  computed: {

  },
};
</script>

